<?php
require_once 'ClientPool.php';
require_once 'Record.php';

$pool = new ClientPool(parse_ini_file('config.ini'));
$client = $pool->pull('Record');

$records = $client->all();

$newRec = new Record();
$newRec->setAuthor('author' . count($records));
$newRec->setText('text');
$newRec->setDate('2012-10-20 10:00:00');
$title = 'default title';
if (isset($_POST['title'])) {
	$title = $_POST['title'];
}
$newRec->setTitle($title);

$client->create($newRec);


?>
<html>
<head>
	<title></title>
</head>
<body>
<form method="post">
	<label>Title <input name="title" value="<?php echo $title ?>"></label>
	<button type="submit">Send</button>
</form>
<h1>Records</h1>
<ul>
</ul>
<?php
foreach ($records as $record):
	?>
	<li><?php echo $record->getAuthor() ?></li>
<?php
endforeach;
?>
</body>
</html>
